Main Page Modules Data Structures File List Data Fields Globals Related Pages

# popt/poptconfig.c File Reference

More...

`#include "system.h"`
`#include "poptint.h"`

Go to the source code of this file.

## Functions

void | configLine (poptContext con, char *line)
int | poptReadConfigFile (poptContext con, const char *fn)
int | poptReadDefaultConfig (poptContext con, int useEnv)

## Detailed Description

Definition in file poptconfig.c.

## Function Documentation

void configLine | ( | poptContext | con,
|  | char * | line
| ) | `[static]`

| Definition at line 13 of file poptconfig.c. References alloca, POPT_ARG_STRING, poptAddItem, and poptParseArgvString. Referenced by poptReadConfigFile.

int poptReadConfigFile | ( | poptContext | con,
|  | const char * | fn
| ) |

| Definition at line 93 of file poptconfig.c. References alloca, configLine, errno, and SEEK_END. Referenced by main, and poptReadDefaultConfig.

int poptReadDefaultConfig | ( | poptContext | con,
|  | int | useEnv
| ) |

| Definition at line 162 of file poptconfig.c. References alloca, getenv, and poptReadConfigFile. Referenced by main.